/*
	Matthias Hollnder & Tamy Boubekeur
	Copyright (c) 2010 Telecom ParisTech
*/

// --------------------------------------------------
// shader definition
// --------------------------------------------------
#version 120
#extension GL_EXT_gpu_shader4 : enable

// --------------------------------------------------
// varying variables
// --------------------------------------------------
varying vec3			vVarColorVertex;
varying vec3			vVarColorNormal;

// --------------------------------------------------
// Fragment Shader:
// --------------------------------------------------
void main() {
		gl_FragData[0] = vec4( vVarColorVertex, 1.0 );
		gl_FragData[1] = vec4( normalize(vVarColorNormal), 1.0 );
}
